
public abstract class CapitalStrategy
{
    public abstract double capital(Loan loan);
    
    public double duration(Loan loan)
    {
        return 0.0;
    }
    
    public double riskFactorFor(Loan loan)
    {
        return 0.0;
    }

    public double unusedRiskFactor(Loan loan)
    {
        return 0.0;
    }
}
